[CI] update the precheck test to pass only on 'All Checks PASSED'
diff --git a/.travisCI/precheck/run-precheck.sh b/.travisCI/precheck/run-precheck.sh
index 7f6c406..d89cd72 100644
--- a/.travisCI/precheck/run-precheck.sh
+++ b/.travisCI/precheck/run-precheck.sh
@@ -29,7 +29,7 @@
 
 grep "Violation Message" $output
 
-cnt=$(grep -c -i "DRC violations" $output)
+cnt=$(grep -c "{{SUCCESS}} All Checks PASSED!" $output)
 if ! [[ $cnt ]]; then cnt=0; fi
-if [[ $cnt -eq 2 ]]; then exit 0; fi
-exit 2
\ No newline at end of file
+if [[ $cnt -eq 1 ]]; then exit 0; fi
+exit 2